<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA - Djalel Abdemouche
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="sdf">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>sdf</refname>
    <refpurpose> Set default figure. </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>sdf()
f = gdf(); set(f,"default_values",1)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>f</term>
        <listitem>
          <para>handle, the handle of the default figure.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
   This routine resets the figure's model to default values.
   </para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
x=[0:0.1:2*%pi]';
f=get("default_figure"); // get the handle of the model figure 
a=get("default_axes");   // get the handle of the model axes 
                         // setting its' properties
f.background=4;
f.auto_resize="off";
f.figure_size=[400 300];
f.axes_size=[600 400];
f.figure_position=[0 -1];
a.x_location="top";
a.y_location="left";
for (i=1:6)
  xset("window",i) // create a figure with the identifier i
  plot2d(x,[sin(x) cos(x)],[i -i])
  xclick();
  if i == 4, sdf(); end // return to the  default values of the figure's model
end
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="sda">sda</link>
      </member>
      <member>
        <link linkend="gdf">gdf</link>
      </member>
      <member>
        <link linkend="gda">gda</link>
      </member>
      <member>
        <link linkend="set">set</link>
      </member>
      <member>
        <link linkend="graphics_entities">graphics_entities</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>
    Djalel ABDEMOUCHE
  </para>
  </refsection>
</refentry>
